Bug 1691614 - Review Request: golang-github-alexcesaro-quotedprintable-v3 - quoted-printable encoding
Summary: Review Request: golang-github-alexcesaro-quotedprintable-v3 - quoted-printab...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1670656
TreeView+ depends on / blocked
 
Reported: 2019-03-22 04:41 UTC by Mark Goodwin
Modified: 2019-04-13 15:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-26 01:38:26 UTC
nathans: fedora-review+


Attachments (Terms of Use)

Comment 1 Nathan Scott 2019-03-22 04:52:48 UTC
(LGTM, approved)

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 9 files have unknown
     license. Detailed output of licensecheck in
     /home/nathans/rpmbuild/SPECS/1691614-golang-github-alexcesaro-
     quotedprintable-v3/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode/src/gopkg.in, /usr/share/gocode
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/gocode/src/gopkg.in(golang-gopkg-1-bufio-devel, golang-
     gopkg-1-macaron-devel, golang-gopkg-2-redis-devel),
     /usr/share/gocode/src/github.com(golang-github-davecgh-go-spew-devel,
     golang-github-opentracing-devel, golang-github-rainycape-unidecode-
     devel, golang-github-lib-pq-devel, golang-github-bradfitz-gomemcache-
     devel, golang, golang-github-macaron-v1-devel, golang-github-
     redis-v2-devel, golang-github-teris-io-shortid-devel, golang-github-
     stack-devel, golang-github-bufio-devel, golang-github-mattn-go-
     colorable-devel, golang-github-smartystreets-assertions-devel, golang-
     github-unknwon-com-devel, golang-github-mattn-go-isatty-devel, golang-
     github-smartystreets-goconvey-devel, golang-github-kr-pty-devel,
     golang-github-stretchr-testify-devel, golang-github-pmezard-go-
     difflib-devel, golang-github-kr-text-devel, golang-github-klauspost-
     compress-devel, golang-github-jtolds-gls-devel, golang-github-kr-
     pretty-devel, golang-github-go-sql-driver-mysql-devel)
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     https://github.com/alexcesaro/quotedprintable/archive/v3.0.0.tar.gz#/quotedprintable-3.0.0.tar.gz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in golang-
     github-alexcesaro-quotedprintable-v3-devel , golang-gopkg-3
     -alexcesaro-quotedprintable-devel , golang-gopkg-alexcesaro-
     quotedprintable-3-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-alexcesaro-quotedprintable-v3-devel-3.0.0-1.fc29.noarch.rpm
          golang-gopkg-3-alexcesaro-quotedprintable-devel-3.0.0-1.fc29.noarch.rpm
          golang-gopkg-alexcesaro-quotedprintable-3-devel-3.0.0-1.fc29.noarch.rpm
          golang-github-alexcesaro-quotedprintable-v3-3.0.0-1.fc29.src.rpm
golang-github-alexcesaro-quotedprintable-v3-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/alexcesaro/quotedprintable/.goipath
golang-gopkg-3-alexcesaro-quotedprintable-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/gopkg.in/v3/alexcesaro/quotedprintable/.goipath
golang-gopkg-alexcesaro-quotedprintable-3-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/gopkg.in/alexcesaro/quotedprintable.v3/.goipath
golang-github-alexcesaro-quotedprintable-v3.src: W: invalid-url Source0: https://github.com/alexcesaro/quotedprintable/archive/v3.0.0.tar.gz#/quotedprintable-3.0.0.tar.gz HTTP Error 404: Not Found
4 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
golang-github-alexcesaro-quotedprintable-v3-devel.noarch: W: invalid-url URL: https://github.com/alexcesaro/quotedprintable <urlopen error [Errno -2] Name or service not known>
golang-github-alexcesaro-quotedprintable-v3-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/alexcesaro/quotedprintable/.goipath
golang-gopkg-3-alexcesaro-quotedprintable-devel.noarch: W: invalid-url URL: https://github.com/alexcesaro/quotedprintable <urlopen error [Errno -2] Name or service not known>
golang-gopkg-3-alexcesaro-quotedprintable-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/gopkg.in/v3/alexcesaro/quotedprintable/.goipath
golang-gopkg-alexcesaro-quotedprintable-3-devel.noarch: W: invalid-url URL: https://github.com/alexcesaro/quotedprintable <urlopen error [Errno -2] Name or service not known>
golang-gopkg-alexcesaro-quotedprintable-3-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/gopkg.in/alexcesaro/quotedprintable.v3/.goipath
3 packages and 0 specfiles checked; 0 errors, 6 warnings.



Requires
--------
golang-github-alexcesaro-quotedprintable-v3-devel (rpmlib, GLIBC filtered):

golang-gopkg-3-alexcesaro-quotedprintable-devel (rpmlib, GLIBC filtered):

golang-gopkg-alexcesaro-quotedprintable-3-devel (rpmlib, GLIBC filtered):



Provides
--------
golang-github-alexcesaro-quotedprintable-v3-devel:
    golang(github.com/alexcesaro/quotedprintable)
    golang-github-alexcesaro-quotedprintable-v3-devel
    golang-ipath(github.com/alexcesaro/quotedprintable)

golang-gopkg-3-alexcesaro-quotedprintable-devel:
    golang(gopkg.in/v3/alexcesaro/quotedprintable)
    golang-gopkg-3-alexcesaro-quotedprintable-devel
    golang-ipath(gopkg.in/v3/alexcesaro/quotedprintable)

golang-gopkg-alexcesaro-quotedprintable-3-devel:
    golang(gopkg.in/alexcesaro/quotedprintable.v3)
    golang-gopkg-alexcesaro-quotedprintable-3-devel
    golang-ipath(gopkg.in/alexcesaro/quotedprintable.v3)



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1691614
Buildroot used: fedora-29-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Gwyn Ciesla 2019-03-22 13:38:19 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-alexcesaro-quotedprintable-v3

Comment 3 Fedora Update System 2019-03-26 01:31:31 UTC
golang-github-alexcesaro-quotedprintable-v3-3.0.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d84fc4740f

Comment 4 Fedora Update System 2019-03-26 01:32:05 UTC
golang-github-alexcesaro-quotedprintable-v3-3.0.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ea56fb9007

Comment 5 Fedora Update System 2019-03-27 01:39:47 UTC
golang-github-alexcesaro-quotedprintable-v3-3.0.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4a4f524c6f

Comment 6 Fedora Update System 2019-03-27 04:11:44 UTC
golang-github-alexcesaro-quotedprintable-v3-3.0.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d84fc4740f

Comment 7 Fedora Update System 2019-03-27 04:34:30 UTC
golang-github-alexcesaro-quotedprintable-v3-3.0.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ea56fb9007

Comment 8 Fedora Update System 2019-03-27 18:18:11 UTC
golang-github-alexcesaro-quotedprintable-v3-3.0.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4a4f524c6f

Comment 9 Fedora Update System 2019-04-13 00:02:50 UTC
golang-github-alexcesaro-quotedprintable-v3-3.0.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-04-13 06:33:10 UTC
golang-github-alexcesaro-quotedprintable-v3-3.0.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-04-13 15:31:45 UTC
golang-github-alexcesaro-quotedprintable-v3-3.0.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.